Saved Password Editor 2.7.3 - September 11, 2014
================================================
New locale: it. Thanks to Leopoldo Saggin.

Saved Password Editor 2.7.2 - January 25, 2014
==============================================
<ul><li>Updated toolbar button to better integrate with Australis UI.</li><li>Updated all references to my email address.</li></ul>

Saved Password Editor 2.7.1 - September 21, 2013
================================================
<ul><li>Update locales.</li><li>Toolbar button auto-add for some windows (once only, of course, and being careful not to move the button if it's already in a toolbar).</li></ul>

Saved Password Editor 2.7 - January 31, 2013
============================================
<ul><li>Added option to select and scroll to a login in the Saved Passwords list when it's first opened.</li><li>Combined "other" type into "annotated" type in editor.</li><li>The editor now allows editing any combination of logins regardless of their types; the "Type" section is now removed when editing multiple logins to reflect this fact.</li><li>Simplified install manifest to list translators for each locale only under their own locales. That saves quite a few KiB in size.</li><li>Improved look of menu-button in Saved Passwords for Windows and Mac OS X. Thanks to Robert Janc for assistance with the Mac part.</li></ul>

Saved Password Editor 2.7pre1 - January 23, 2013
================================================
<ul><li>Added option to select and scroll to a login in the Saved Passwords list when it's first opened.</li><li>Combined "other" type into "annotated" type in editor.</li><li>The editor now allows editing any combination of logins regardless of their types; the "Type" section is now removed when editing multiple logins to reflect this fact.</li><li>Simplified install manifest to list translators for each locale only under their own locales. That saves quite a few KiB in size.</li><li>Improved look of menu-button in Saved Passwords for Windows and Mac OS X. Thanks to Robert Janc for assistance with the Mac part.</li></ul>

Saved Password Editor 2.6.4 - October 29, 2012
==============================================
<ul><li>Correct error in pl locale.</li><li>Correct usage of window-global variable no longer present in Saved Passwords as of 18.0a2 or so.</li></ul>

Saved Password Editor 2.6.3 - July 21, 2012
===========================================
Fixed bug in form guessing logic that caused an error with no "type" attribute.

Saved Password Editor 2.6.2 - May  1, 2012
==========================================
Fix bug in recognizing annotated type in multi-edit.

Saved Password Editor 2.6.1 - April 17, 2012
============================================
Fixed overzealousness which caused "Firefox" menu item to be in the wrong place.

Saved Password Editor 2.6 - April 14, 2012
==========================================
<ul><li>Changed presentation of editor dialog: now all possible fields are visible at all times; the ones that don't pertain to the current login type are disabled. This allowed me to make the window non-resizable and stop persisting the dimensions, which should eliminate problems with the window being too small because the contents have become larger.</li><li>Added feature to rename "Saved Passwords" menu item for those who want to make it less obvious. </li><li>Added option to always show passwords, including in the Saved Passwords dialog. Unfortunately, there is a dilemma regarding the master password prompt: if I prompt for it, there is a possibility it has already been prompted for immediately before; if I don't prompt for it, it probably won't get prompted for at all except the first time the dialog shows during a session. I leave it to the user to decide which is less undesirable but err on the side of caution for the default.</li><li>Made detection of login form field types case-insensitive.</li></ul>

Saved Password Editor 2.6pre1 - March 31, 2012
==============================================
<ul><li>Changed presentation of editor dialog: now all possible fields are visible at all times; the ones that don't pertain to the current login type are disabled. This allowed me to make the window non-resizable and stop persisting the dimensions, which should eliminate problems with the window being too small because the contents have become larger.</li><li>Added feature to rename "Saved Passwords" menu item for those who want to make it less obvious.</li><li>Added option to always show passwords, including in the Saved Passwords dialog. Unfortunately, there is a dilemma regarding the master password prompt: if I prompt for it, there is a possibility it has already been prompted for immediately before; if I don't prompt for it, it probably won't get prompted for at all except the first time the dialog shows during a session. I leave it to the user to decide which is less undesirable but err on the side of caution for the default.</li></ul>

Saved Password Editor 2.5.1 - March 22, 2012
============================================
<ul><li>New translator for bg: pl99.</li><li>Now allowing web form logins for Thunderbird.</li><li>Removed Password Tags integration from editor window. There are issues regarding the API as well as concurrent database access that I need to work out; once I do, I might bring this back.</li></ul>

Saved Password Editor 2.5 - January 18, 2012
============================================
Changes from 2.2.6:<ul><li>Added page context menu items for manipulating logins associated with a web form directly. These are made to work very similarly to those in Mobile Saved Password Editor.</li><li>Renamed "HTTP authentication" login type to "Annotated" while making it work with non-HTTP authentication logins (an example being Sync). Accordingly, I also renamed the "HTTP realm" field to "Annotation".</li><li>Rearranged icon files so all are in the skin directory; packed the 29px, 24px, 19px, and 16px icons into a single file for use with the "-moz-image-region" style rule. The 32px and 64px ones must exist as individual files since they are referenced from places that don't accept icon-set images.</li><li>Converted first-run component to a module. This solves the problem of unreliable behavior in opening a new tab, since I can now use an overlay to import the module on window load. The module runs once on application startup and leaves no objects where it is imported.</li><li>Updated welcome page to mention the new commands in the context menu.</li><li>Improvements to editor window:<ul><li>Minimized use of XPath.</li><li>Loosened form matching logic: no longer requires name attributes.</li><li>Handling of show/hide now focuses the newly-visible button for better accessibility.</li></ul></li></ul>

Saved Password Editor 2.5pre3 - January 12, 2012
================================================
<ul><li>Attempting to optimize first-run module.</li><li>Added some updated locales.</li></ul>

Saved Password Editor 2.5pre2 - January 10, 2012
================================================
Improvements to editor window:<ul><li>Minimized use of XPath.</li><li>Loosened form matching logic: no longer requires name attributes.</li><li>Handling of show/hide now focuses the newly-visible button for better accessibility.</li></ul>

Saved Password Editor 2.5pre1 - January  4, 2012
================================================
<ul><li>Added page context menu items for manipulating logins associated with a web form directly. These are made to work very similarly to those in Mobile Saved Password Editor.</li><li>Renamed "HTTP authentication" login type to "Annotated" while making it work with non-HTTP authentication logins (an example being Sync). Accordingly, I also renamed the "HTTP realm" field to "Annotation".</li><li>Rearranged icon files so all are in the skin directory; packed the 29px, 24px, 19px, and 16px icons into a single file for use with the "-moz-image-region" style rule. The 32px and 64px ones must exist as individual files since they are referenced from places that don't accept icon-set images.</li><li>Converted first-run component to a module. This solves the problem of unreliable behavior in opening a new tab, since I can now use an overlay to import the module on window load. The module runs once on application startup and leaves no objects where it is imported.</li><li>Updated welcome page to mention the new commands in the context menu.</li></ul>

Saved Password Editor 2.2.6 - December  2, 2011
===============================================
<ul><li>Moved Master Password prompt to after the editor window is already displayed, in an attempt to resolve reported issue with the prompt appearing behind the Saved Passwords window on recent Firefox under Windows 7.</li><li>Split Show/Hide button into two separate buttons, in order to get rid of redundant strings in locale properties files.</li><li>Split locale files into window-specific files.</li><li>fi: Jiipee (BabelZilla)</li></ul>

Saved Password Editor 2.2.5 - September 26, 2011
================================================
<ul><li>Updated pt-BR, pt-PT, and zh-TW locales.</li><li>Updated compatibility for Conkeror.</li></ul>

Saved Password Editor 2.2.3 - September  8, 2011
================================================
<ul><li>Renamed references to Firefox menu (Windows and Linux) to be less obscure.</li><li>Updated welcome page text to better reflect reality (e.g. context menu).</li><li>Increased welcome page delay timer from 3000 to 3500.</li><li>Switched to using 32px icon as small add-on icon, only as icon.png (removed &lt;iconURL&gt; element in install.rdf). Switched to using 64px icon in welcome page. Deleted 32px and 48px icons from skin directory, as they are no longer being used.</li><li>Deleted chrome/icons, since those icons are not used much.</li><li>Ran remaining icons through pngcrush to reduce their size.</li><li>Fixed another bug related to SeaMonkey Data Manager.</li><li>el: George Malamas "Grg68" (BabelZilla)</li></ul>

Saved Password Editor 2.2.1 - August 12, 2011
=============================================
<ul><li>Updated eo locale</li><li>hsb-DE: milupo (BabelZilla)</li></ul>

Saved Password Editor 2.2 - August  4, 2011
===========================================
<ul><li>Changed password editor window to not ask for Master Password for an initially shown password if passwords are already being displayed in the Saved Passwords list.</li><li>Added option to have password in editor window be shown if and only if passwords are being shown in the Saved Passwords list.</li><li>New feature: when using "Guess from current page", in case there is more than one suitable login form, allow the user to select among them using buttons next to the "Guess" button.</li><li>Made guessing work with XHTML (application/xhtml+xml).</li><li>Added tooltip to menu items.</li></ul>

Saved Password Editor 2.1.1 - July 25, 2011
===========================================
Oops, Object.create() doesn't work before Fx 4.0 and equivalents. Fix.

Saved Password Editor 2.1 - June 29, 2011
=========================================
<ul><li>New feature: multiple selections now allowed for editing. Useful if, for instance, you have similar credentials on many sites, or many accounts on one site, and you need to change them <i>en masse</i>.

All of the selected logins must be of the same type (web form, HTTP, other). Fields that differ among the selections are represented by a light checkerboard pattern, indicating an indeterminate value. Anything entered in any of the fields is written to all selected logins, but fields left indeterminate are not changed.

Note that the Tags field (convenience for those with <a href="http://outgoing.mozilla.org/v1/ea30db87dd04828f8ecd0c4559a94885f1983720/https%3A//addons.mozilla.org/addon/password-categories/" rel="nofollow">Password Tags</a> installed) doesn't behave in the above way and in fact is turned off when editing multiple logins.</li><li>eo: milupo (BabelZilla)</li></ul>

Saved Password Editor 2.0.6 - April  8, 2011
============================================
<ul><li>Modified form matching for password editor: now requires username and password fields to have non-empty name attributes. For the future: implement a way for all forms considered valid to be offered to user, in case there are multiple login forms on the page.</li><li>Fixed glitch in menu-button behavior, where it would not revert to "new" state for non-singular selections after the editor dialog was cancelled.</li><li>zh-CN: <a href="http://outgoing.mozilla.org/v1/4a9858124029688413b7185f188e1e598a3ea93c/mailto%3Ayfdyh000%40gmail.com" rel="nofollow">yfdyh000</a> (BabelZilla)</li></ul>

Saved Password Editor 2.0.5 - March  8, 2011
============================================
<ul><li>Fixed bug introduced in 2.0.3 making menu-button default behave incorrectly.</li><li>Now preserves password selection (except with "New" command) and scroll position when adding/editing/cloning a password.</li></ul>

Saved Password Editor 2.0.4 - February 28, 2011
===============================================
2.0.4:<ul><li>Now works with SeaMonkey's new Data Manager (my own menu item and toolbar button still access the toolkit dialog).</li></ul>
2.0.3:<ul><li>Fixed: list wasn't being updated after editing password if list was filtered.</li><li>"Category" now changed to "Tags" to match renaming of <i>Password Categories</i> add-on to <i>Password Tags</i>.</li><li>id-ID: XCen (BabelZilla)</li></ul>

Saved Password Editor 2.0.2 - January 29, 2011
==============================================
Fixed syntax error in pt-PT and zh-CN locale files that caused the add-on to be unusable.

Saved Password Editor 2.0.1 - January  4, 2011
==============================================
<ul><li>pl: Marcin Borowczyk "MarcinB" (BabelZilla)</li><li>Fixed bug in form guessing algorithm, causing it to not check documents in frames as it should.</li><li>Fixed console error caused by assuming existence of Windows app menu on all platforms.</li><li>Fixed context menu items in password manager to work on pre-Firefox 4.0</li><li>Added support for <a href="http://outgoing.mozilla.org/v1/6276e740fa83ebe96962c1054e8ec9676bec92e2/http%3A//www.spicebird.com/" rel="nofollow">Spicebird</a></li></ul>

Saved Password Editor 2.0 - December 28, 2010
=============================================
<ul><li>Now fully compatible with <a href="http://outgoing.mozilla.org/v1/53b8324deaacd69ab7930fc63bbd9826d1d60815/http%3A//conkeror.org/">Conkeror</a> (and probably some other apps)</li><li>Added menu item to app menu (Fx 4.0/Windows)</li><li>Individual buttons in password manager changed to an intelligent menu-button</li><li>Option to always show passwords on opening editor dialog, or remember state</li><li>Now asks for master password only if a password is about to be shown</li><li>Interacts with <a href="http://outgoing.mozilla.org/v1/1e92a81e74b26b256d2d6d61bbaf00ee9de35333/https%3A//addons.mozilla.org/addon/261958/">Password Categories</a> add-on (if present) to provide an extra place to edit category names</li><li>New button icon and logo provided by <a href="http://outgoing.mozilla.org/v1/4b2b0faba9c31234b8e1df0f24e4805050d91266/http%3A//plastikmaniac.deviantart.com/">PlastikManiac</a></li><li>sr: DakSrbija (BabelZilla)</li><li>sv-SE: Mikael Hiort af Ornäs "Lakrits" (BabelZilla)</li><li>tr-TR: Anil Kilic - <a href="http://outgoing.mozilla.org/v1/4ff737b4d0c11bad006e798dc2f2d5a42b25083e/http%3A//www.guncem.net/">www.guncem.net</a> "ua_anil", nikneyim (BabelZilla)</li></ul>

Saved Password Editor 1.5.4 - December  3, 2010
===============================================
<ul><li>Fixed to actually require master password when editing, instead of showing the editor anyway when "cancel" clicked.</li><li>Compatibility info updated.</li></ul>

